Package com.independentsoft.office.drawing

# Class TopLeftToBottomRightBorderLine

java.lang.Object
com.independentsoft.office.drawing.TopLeftToBottomRightBorderLine

public class TopLeftToBottomRightBorderLine extends Object
The Class TopLeftToBottomRightBorderLine.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopLeftToBottomRightBorderLine()`
  Instantiates a new top left to bottom right border line.
  `TopLeftToBottomRightBorderLine​(InternalXMLStreamReader reader)`
  Instantiates a new top left to bottom right border line.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TopLeftToBottomRightBorderLine`
  `clone()`
  `LineCap`
  `getCap()`
  Gets the cap.
  `CompoundLineType`
  `getCompoundLineType()`
  Gets the compound line type.
  `List<DashStop>`
  `getDashStops()`
  Gets the dash stops.
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `HeadEnd`
  `getHeadEnd()`
  Gets the head end.
  `Unit`
  `getLineWidth()`
  Gets the line width.
  `int`
  `getMiterJoinLimit()`
  Gets the miter join limit.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PresetLineDash`
  `getPresetLineDash()`
  Gets the preset line dash.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `PenAlignmentType`
  `getStrokeAlignment()`
  Gets the stroke alignment.
  `TailEnd`
  `getTailEnd()`
  Gets the tail end.
  `boolean`
  `isBevelLineJoin()`
  Checks if is bevel line join.
  `boolean`
  `isRoundLineJoin()`
  Checks if is round line join.
  `void`
  `setBevelLineJoin​(boolean bevelLineJoin)`
  Sets the bevel line join.
  `void`
  `setCap​(LineCap cap)`
  Sets the cap.
  `void`
  `setCompoundLineType​(CompoundLineType compoundLineType)`
  Sets the compound line type.
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setHeadEnd​(HeadEnd headEnd)`
  Sets the head end.
  `void`
  `setLineWidth​(Unit lineWidth)`
  Sets the line width.
  `void`
  `setMiterJoinLimit​(int miterJoinLimit)`
  Sets the miter join limit.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPresetLineDash​(PresetLineDash presetLineDash)`
  Sets the preset line dash.
  `void`
  `setRoundLineJoin​(boolean roundLineJoin)`
  Sets the round line join.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `void`
  `setStrokeAlignment​(PenAlignmentType strokeAlignment)`
  Sets the stroke alignment.
  `void`
  `setTailEnd​(TailEnd tailEnd)`
  Sets the tail end.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TopLeftToBottomRightBorderLine

    public TopLeftToBottomRightBorderLine()
    Instantiates a new top left to bottom right border line.

  - ### TopLeftToBottomRightBorderLine

    public TopLeftToBottomRightBorderLine​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new top left to bottom right border line.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TopLeftToBottomRightBorderLine clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getStrokeAlignment

    public PenAlignmentType getStrokeAlignment()
    Gets the stroke alignment.
    Returns:
      the stroke alignment

  - ### setStrokeAlignment

    public void setStrokeAlignment​(PenAlignmentType strokeAlignment)
    Sets the stroke alignment.
    Parameters:
      `strokeAlignment` - the new stroke alignment

  - ### getCap

    public LineCap getCap()
    Gets the cap.
    Returns:
      the cap

  - ### setCap

    public void setCap​(LineCap cap)
    Sets the cap.
    Parameters:
      `cap` - the new cap

  - ### getCompoundLineType

    public CompoundLineType getCompoundLineType()
    Gets the compound line type.
    Returns:
      the compound line type

  - ### setCompoundLineType

    public void setCompoundLineType​(CompoundLineType compoundLineType)
    Sets the compound line type.
    Parameters:
      `compoundLineType` - the new compound line type

  - ### getLineWidth

    public Unit getLineWidth()
    Gets the line width.
    Returns:
      the line width

  - ### setLineWidth

    public void setLineWidth​(Unit lineWidth)
    Sets the line width.
    Parameters:
      `lineWidth` - the new line width

  - ### isBevelLineJoin

    public boolean isBevelLineJoin()
    Checks if is bevel line join.
    Returns:
      true, if is bevel line join

  - ### setBevelLineJoin

    public void setBevelLineJoin​(boolean bevelLineJoin)
    Sets the bevel line join.
    Parameters:
      `bevelLineJoin` - the new bevel line join

  - ### getDashStops

    public List<DashStop> getDashStops()
    Gets the dash stops.
    Returns:
      the dash stops

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getHeadEnd

    public HeadEnd getHeadEnd()
    Gets the head end.
    Returns:
      the head end

  - ### setHeadEnd

    public void setHeadEnd​(HeadEnd headEnd)
    Sets the head end.
    Parameters:
      `headEnd` - the new head end

  - ### getMiterJoinLimit

    public int getMiterJoinLimit()
    Gets the miter join limit.
    Returns:
      the miter join limit

  - ### setMiterJoinLimit

    public void setMiterJoinLimit​(int miterJoinLimit)
    Sets the miter join limit.
    Parameters:
      `miterJoinLimit` - the new miter join limit

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getPresetLineDash

    public PresetLineDash getPresetLineDash()
    Gets the preset line dash.
    Returns:
      the preset line dash

  - ### setPresetLineDash

    public void setPresetLineDash​(PresetLineDash presetLineDash)
    Sets the preset line dash.
    Parameters:
      `presetLineDash` - the new preset line dash

  - ### isRoundLineJoin

    public boolean isRoundLineJoin()
    Checks if is round line join.
    Returns:
      true, if is round line join

  - ### setRoundLineJoin

    public void setRoundLineJoin​(boolean roundLineJoin)
    Sets the round line join.
    Parameters:
      `roundLineJoin` - the new round line join

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getTailEnd

    public TailEnd getTailEnd()
    Gets the tail end.
    Returns:
      the tail end

  - ### setTailEnd

    public void setTailEnd​(TailEnd tailEnd)
    Sets the tail end.
    Parameters:
      `tailEnd` - the new tail end